﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.17929
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.17929.
// 
#pragma warning disable 1591

namespace Portal.SCasmx {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ServiceSoap", Namespace="http://tempuri.org/")]
    public partial class Service : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback LoginOperationCompleted;
        
        private System.Threading.SendOrPostCallback getRoleOperationCompleted;
        
        private System.Threading.SendOrPostCallback appListOperationCompleted;
        
        private System.Threading.SendOrPostCallback LogOutOperationCompleted;
        
        private System.Threading.SendOrPostCallback getEmailOperationCompleted;
        
        private System.Threading.SendOrPostCallback regCreateOperationCompleted;
        
        private System.Threading.SendOrPostCallback regUpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback regDeleteOperationCompleted;
        
        private System.Threading.SendOrPostCallback regIsExistOperationCompleted;
        
        private System.Threading.SendOrPostCallback genNewUserOperationCompleted;
        
        private System.Threading.SendOrPostCallback genNewPassOperationCompleted;
        
        private System.Threading.SendOrPostCallback IsDefaultAppExistOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateDefaultAppOperationCompleted;
        
        private System.Threading.SendOrPostCallback getDefaultAppOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public Service() {
            this.Url = global::Portal.Properties.Settings.Default.Portal_SC_Service;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event LoginCompletedEventHandler LoginCompleted;
        
        /// <remarks/>
        public event getRoleCompletedEventHandler getRoleCompleted;
        
        /// <remarks/>
        public event appListCompletedEventHandler appListCompleted;
        
        /// <remarks/>
        public event LogOutCompletedEventHandler LogOutCompleted;
        
        /// <remarks/>
        public event getEmailCompletedEventHandler getEmailCompleted;
        
        /// <remarks/>
        public event regCreateCompletedEventHandler regCreateCompleted;
        
        /// <remarks/>
        public event regUpdateCompletedEventHandler regUpdateCompleted;
        
        /// <remarks/>
        public event regDeleteCompletedEventHandler regDeleteCompleted;
        
        /// <remarks/>
        public event regIsExistCompletedEventHandler regIsExistCompleted;
        
        /// <remarks/>
        public event genNewUserCompletedEventHandler genNewUserCompleted;
        
        /// <remarks/>
        public event genNewPassCompletedEventHandler genNewPassCompleted;
        
        /// <remarks/>
        public event IsDefaultAppExistCompletedEventHandler IsDefaultAppExistCompleted;
        
        /// <remarks/>
        public event UpdateDefaultAppCompletedEventHandler UpdateDefaultAppCompleted;
        
        /// <remarks/>
        public event getDefaultAppCompletedEventHandler getDefaultAppCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/Login", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool Login(string UserName, string Password) {
            object[] results = this.Invoke("Login", new object[] {
                        UserName,
                        Password});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void LoginAsync(string UserName, string Password) {
            this.LoginAsync(UserName, Password, null);
        }
        
        /// <remarks/>
        public void LoginAsync(string UserName, string Password, object userState) {
            if ((this.LoginOperationCompleted == null)) {
                this.LoginOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLoginOperationCompleted);
            }
            this.InvokeAsync("Login", new object[] {
                        UserName,
                        Password}, this.LoginOperationCompleted, userState);
        }
        
        private void OnLoginOperationCompleted(object arg) {
            if ((this.LoginCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.LoginCompleted(this, new LoginCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getRole", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string getRole(string UserName, string Password, string App) {
            object[] results = this.Invoke("getRole", new object[] {
                        UserName,
                        Password,
                        App});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void getRoleAsync(string UserName, string Password, string App) {
            this.getRoleAsync(UserName, Password, App, null);
        }
        
        /// <remarks/>
        public void getRoleAsync(string UserName, string Password, string App, object userState) {
            if ((this.getRoleOperationCompleted == null)) {
                this.getRoleOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetRoleOperationCompleted);
            }
            this.InvokeAsync("getRole", new object[] {
                        UserName,
                        Password,
                        App}, this.getRoleOperationCompleted, userState);
        }
        
        private void OngetRoleOperationCompleted(object arg) {
            if ((this.getRoleCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getRoleCompleted(this, new getRoleCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/appList", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string[] appList(string UserName, string Password) {
            object[] results = this.Invoke("appList", new object[] {
                        UserName,
                        Password});
            return ((string[])(results[0]));
        }
        
        /// <remarks/>
        public void appListAsync(string UserName, string Password) {
            this.appListAsync(UserName, Password, null);
        }
        
        /// <remarks/>
        public void appListAsync(string UserName, string Password, object userState) {
            if ((this.appListOperationCompleted == null)) {
                this.appListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnappListOperationCompleted);
            }
            this.InvokeAsync("appList", new object[] {
                        UserName,
                        Password}, this.appListOperationCompleted, userState);
        }
        
        private void OnappListOperationCompleted(object arg) {
            if ((this.appListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.appListCompleted(this, new appListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/LogOut", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool LogOut(string UserName, string Password) {
            object[] results = this.Invoke("LogOut", new object[] {
                        UserName,
                        Password});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void LogOutAsync(string UserName, string Password) {
            this.LogOutAsync(UserName, Password, null);
        }
        
        /// <remarks/>
        public void LogOutAsync(string UserName, string Password, object userState) {
            if ((this.LogOutOperationCompleted == null)) {
                this.LogOutOperationCompleted = new System.Threading.SendOrPostCallback(this.OnLogOutOperationCompleted);
            }
            this.InvokeAsync("LogOut", new object[] {
                        UserName,
                        Password}, this.LogOutOperationCompleted, userState);
        }
        
        private void OnLogOutOperationCompleted(object arg) {
            if ((this.LogOutCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.LogOutCompleted(this, new LogOutCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getEmail", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string getEmail(string UserName, string Password, string[] usernames) {
            object[] results = this.Invoke("getEmail", new object[] {
                        UserName,
                        Password,
                        usernames});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void getEmailAsync(string UserName, string Password, string[] usernames) {
            this.getEmailAsync(UserName, Password, usernames, null);
        }
        
        /// <remarks/>
        public void getEmailAsync(string UserName, string Password, string[] usernames, object userState) {
            if ((this.getEmailOperationCompleted == null)) {
                this.getEmailOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetEmailOperationCompleted);
            }
            this.InvokeAsync("getEmail", new object[] {
                        UserName,
                        Password,
                        usernames}, this.getEmailOperationCompleted, userState);
        }
        
        private void OngetEmailOperationCompleted(object arg) {
            if ((this.getEmailCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getEmailCompleted(this, new getEmailCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/regCreate", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool regCreate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            object[] results = this.Invoke("regCreate", new object[] {
                        UserName,
                        Password,
                        CompanyName,
                        Address,
                        CompanyAddress,
                        Email,
                        ContactPerson,
                        Telephone,
                        Faximile,
                        MobilePhone});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void regCreateAsync(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            this.regCreateAsync(UserName, Password, CompanyName, Address, CompanyAddress, Email, ContactPerson, Telephone, Faximile, MobilePhone, null);
        }
        
        /// <remarks/>
        public void regCreateAsync(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone, object userState) {
            if ((this.regCreateOperationCompleted == null)) {
                this.regCreateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnregCreateOperationCompleted);
            }
            this.InvokeAsync("regCreate", new object[] {
                        UserName,
                        Password,
                        CompanyName,
                        Address,
                        CompanyAddress,
                        Email,
                        ContactPerson,
                        Telephone,
                        Faximile,
                        MobilePhone}, this.regCreateOperationCompleted, userState);
        }
        
        private void OnregCreateOperationCompleted(object arg) {
            if ((this.regCreateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.regCreateCompleted(this, new regCreateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/regUpdate", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool regUpdate(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            object[] results = this.Invoke("regUpdate", new object[] {
                        UserName,
                        Password,
                        CompanyName,
                        Address,
                        CompanyAddress,
                        Email,
                        ContactPerson,
                        Telephone,
                        Faximile,
                        MobilePhone});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void regUpdateAsync(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone) {
            this.regUpdateAsync(UserName, Password, CompanyName, Address, CompanyAddress, Email, ContactPerson, Telephone, Faximile, MobilePhone, null);
        }
        
        /// <remarks/>
        public void regUpdateAsync(string UserName, string Password, string CompanyName, string Address, string CompanyAddress, string Email, string ContactPerson, string Telephone, string Faximile, string MobilePhone, object userState) {
            if ((this.regUpdateOperationCompleted == null)) {
                this.regUpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnregUpdateOperationCompleted);
            }
            this.InvokeAsync("regUpdate", new object[] {
                        UserName,
                        Password,
                        CompanyName,
                        Address,
                        CompanyAddress,
                        Email,
                        ContactPerson,
                        Telephone,
                        Faximile,
                        MobilePhone}, this.regUpdateOperationCompleted, userState);
        }
        
        private void OnregUpdateOperationCompleted(object arg) {
            if ((this.regUpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.regUpdateCompleted(this, new regUpdateCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/regDelete", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool regDelete(string UserName, string Password, string UserEmail) {
            object[] results = this.Invoke("regDelete", new object[] {
                        UserName,
                        Password,
                        UserEmail});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void regDeleteAsync(string UserName, string Password, string UserEmail) {
            this.regDeleteAsync(UserName, Password, UserEmail, null);
        }
        
        /// <remarks/>
        public void regDeleteAsync(string UserName, string Password, string UserEmail, object userState) {
            if ((this.regDeleteOperationCompleted == null)) {
                this.regDeleteOperationCompleted = new System.Threading.SendOrPostCallback(this.OnregDeleteOperationCompleted);
            }
            this.InvokeAsync("regDelete", new object[] {
                        UserName,
                        Password,
                        UserEmail}, this.regDeleteOperationCompleted, userState);
        }
        
        private void OnregDeleteOperationCompleted(object arg) {
            if ((this.regDeleteCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.regDeleteCompleted(this, new regDeleteCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/regIsExist", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool regIsExist(string UserName, string Password, string UserEmail) {
            object[] results = this.Invoke("regIsExist", new object[] {
                        UserName,
                        Password,
                        UserEmail});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void regIsExistAsync(string UserName, string Password, string UserEmail) {
            this.regIsExistAsync(UserName, Password, UserEmail, null);
        }
        
        /// <remarks/>
        public void regIsExistAsync(string UserName, string Password, string UserEmail, object userState) {
            if ((this.regIsExistOperationCompleted == null)) {
                this.regIsExistOperationCompleted = new System.Threading.SendOrPostCallback(this.OnregIsExistOperationCompleted);
            }
            this.InvokeAsync("regIsExist", new object[] {
                        UserName,
                        Password,
                        UserEmail}, this.regIsExistOperationCompleted, userState);
        }
        
        private void OnregIsExistOperationCompleted(object arg) {
            if ((this.regIsExistCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.regIsExistCompleted(this, new regIsExistCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/genNewUser", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string genNewUser(string UserName, string Password, string Email) {
            object[] results = this.Invoke("genNewUser", new object[] {
                        UserName,
                        Password,
                        Email});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void genNewUserAsync(string UserName, string Password, string Email) {
            this.genNewUserAsync(UserName, Password, Email, null);
        }
        
        /// <remarks/>
        public void genNewUserAsync(string UserName, string Password, string Email, object userState) {
            if ((this.genNewUserOperationCompleted == null)) {
                this.genNewUserOperationCompleted = new System.Threading.SendOrPostCallback(this.OngenNewUserOperationCompleted);
            }
            this.InvokeAsync("genNewUser", new object[] {
                        UserName,
                        Password,
                        Email}, this.genNewUserOperationCompleted, userState);
        }
        
        private void OngenNewUserOperationCompleted(object arg) {
            if ((this.genNewUserCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.genNewUserCompleted(this, new genNewUserCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/genNewPass", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string genNewPass(string UserName, string Password, string Email) {
            object[] results = this.Invoke("genNewPass", new object[] {
                        UserName,
                        Password,
                        Email});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void genNewPassAsync(string UserName, string Password, string Email) {
            this.genNewPassAsync(UserName, Password, Email, null);
        }
        
        /// <remarks/>
        public void genNewPassAsync(string UserName, string Password, string Email, object userState) {
            if ((this.genNewPassOperationCompleted == null)) {
                this.genNewPassOperationCompleted = new System.Threading.SendOrPostCallback(this.OngenNewPassOperationCompleted);
            }
            this.InvokeAsync("genNewPass", new object[] {
                        UserName,
                        Password,
                        Email}, this.genNewPassOperationCompleted, userState);
        }
        
        private void OngenNewPassOperationCompleted(object arg) {
            if ((this.genNewPassCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.genNewPassCompleted(this, new genNewPassCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/IsDefaultAppExist", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool IsDefaultAppExist(string UserName, string Password, string UserEmail) {
            object[] results = this.Invoke("IsDefaultAppExist", new object[] {
                        UserName,
                        Password,
                        UserEmail});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void IsDefaultAppExistAsync(string UserName, string Password, string UserEmail) {
            this.IsDefaultAppExistAsync(UserName, Password, UserEmail, null);
        }
        
        /// <remarks/>
        public void IsDefaultAppExistAsync(string UserName, string Password, string UserEmail, object userState) {
            if ((this.IsDefaultAppExistOperationCompleted == null)) {
                this.IsDefaultAppExistOperationCompleted = new System.Threading.SendOrPostCallback(this.OnIsDefaultAppExistOperationCompleted);
            }
            this.InvokeAsync("IsDefaultAppExist", new object[] {
                        UserName,
                        Password,
                        UserEmail}, this.IsDefaultAppExistOperationCompleted, userState);
        }
        
        private void OnIsDefaultAppExistOperationCompleted(object arg) {
            if ((this.IsDefaultAppExistCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.IsDefaultAppExistCompleted(this, new IsDefaultAppExistCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/UpdateDefaultApp", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public bool UpdateDefaultApp(string UserName, string Password, string DefaultApplication) {
            object[] results = this.Invoke("UpdateDefaultApp", new object[] {
                        UserName,
                        Password,
                        DefaultApplication});
            return ((bool)(results[0]));
        }
        
        /// <remarks/>
        public void UpdateDefaultAppAsync(string UserName, string Password, string DefaultApplication) {
            this.UpdateDefaultAppAsync(UserName, Password, DefaultApplication, null);
        }
        
        /// <remarks/>
        public void UpdateDefaultAppAsync(string UserName, string Password, string DefaultApplication, object userState) {
            if ((this.UpdateDefaultAppOperationCompleted == null)) {
                this.UpdateDefaultAppOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateDefaultAppOperationCompleted);
            }
            this.InvokeAsync("UpdateDefaultApp", new object[] {
                        UserName,
                        Password,
                        DefaultApplication}, this.UpdateDefaultAppOperationCompleted, userState);
        }
        
        private void OnUpdateDefaultAppOperationCompleted(object arg) {
            if ((this.UpdateDefaultAppCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateDefaultAppCompleted(this, new UpdateDefaultAppCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getDefaultApp", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string getDefaultApp(string UserName, string Password) {
            object[] results = this.Invoke("getDefaultApp", new object[] {
                        UserName,
                        Password});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void getDefaultAppAsync(string UserName, string Password) {
            this.getDefaultAppAsync(UserName, Password, null);
        }
        
        /// <remarks/>
        public void getDefaultAppAsync(string UserName, string Password, object userState) {
            if ((this.getDefaultAppOperationCompleted == null)) {
                this.getDefaultAppOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetDefaultAppOperationCompleted);
            }
            this.InvokeAsync("getDefaultApp", new object[] {
                        UserName,
                        Password}, this.getDefaultAppOperationCompleted, userState);
        }
        
        private void OngetDefaultAppOperationCompleted(object arg) {
            if ((this.getDefaultAppCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getDefaultAppCompleted(this, new getDefaultAppCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void LoginCompletedEventHandler(object sender, LoginCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class LoginCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal LoginCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void getRoleCompletedEventHandler(object sender, getRoleCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getRoleCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getRoleCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void appListCompletedEventHandler(object sender, appListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class appListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal appListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void LogOutCompletedEventHandler(object sender, LogOutCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class LogOutCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal LogOutCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void getEmailCompletedEventHandler(object sender, getEmailCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getEmailCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getEmailCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void regCreateCompletedEventHandler(object sender, regCreateCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class regCreateCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal regCreateCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void regUpdateCompletedEventHandler(object sender, regUpdateCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class regUpdateCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal regUpdateCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void regDeleteCompletedEventHandler(object sender, regDeleteCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class regDeleteCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal regDeleteCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void regIsExistCompletedEventHandler(object sender, regIsExistCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class regIsExistCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal regIsExistCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void genNewUserCompletedEventHandler(object sender, genNewUserCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class genNewUserCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal genNewUserCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void genNewPassCompletedEventHandler(object sender, genNewPassCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class genNewPassCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal genNewPassCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void IsDefaultAppExistCompletedEventHandler(object sender, IsDefaultAppExistCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class IsDefaultAppExistCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal IsDefaultAppExistCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void UpdateDefaultAppCompletedEventHandler(object sender, UpdateDefaultAppCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class UpdateDefaultAppCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal UpdateDefaultAppCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public bool Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((bool)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    public delegate void getDefaultAppCompletedEventHandler(object sender, getDefaultAppCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.17929")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getDefaultAppCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getDefaultAppCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591